MagicMacX 2.0MagicMacX 2.0
TOS Operating System for Mac OS X Computers
System Require­ments:
Mac OS X 10.3 (Panther) or higher